Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbw
Class SbwHost.TextHtmlFormatter

    java.lang.Object
      com.beanexplorer.web.SimpleHtmlFormatter
          biouml.plugins.sbw.SbwHost.TextHtmlFormatter

All Implemented Interfaces:
  com.beanexplorer.web.HtmlFormatter

Enclosing class:
  SbwHost

public static class SbwHost.TextHtmlFormatter
extends com.beanexplorer.web.SimpleHtmlFormatter

Field Summary

Fields inherited from class com.beanexplorer.web.SimpleHtmlFormatter
`LEVEL_OFFSET`

Constructor Summary
`SbwHost.TextHtmlFormatter()`

Method Summary
`void` | `generateHeader(java.io.Writer out, java.lang.String beanTitle)`
`void` | `generateProperty(java.io.Writer out, int level, java.lang.String name, java.lang.String completeName, java.lang.String value, boolean readOnly, boolean canBeNull)`

Methods inherited from class com.beanexplorer.web.SimpleHtmlFormatter
`generateFooter, generateLevelEnd, generateLevelStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SbwHost.TextHtmlFormatter

    public SbwHost.TextHtmlFormatter()

Method Detail

### generateHeader

    public void generateHeader(java.io.Writer out,
                               java.lang.String beanTitle)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateProperty

    public void generateProperty(java.io.Writer out,
                                 int level,
                                 java.lang.String name,
                                 java.lang.String completeName,
                                 java.lang.String value,
                                 boolean readOnly,
                                 boolean canBeNull)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.